<?php

use App\Command\TestClass;
use Spatie\Crawler\Crawler;

! defined('BASE_PATH') && define('BASE_PATH', dirname(__DIR__, 1));

require BASE_PATH . '/vendor/autoload.php';


echo 123123;
function start()
{
    \Hyperf\Context\ApplicationContext::getContainer()->get(\Hyperf\Redis\Redis::class)->set('xx', 1);
    Crawler::create()->addCrawlObserver(new TestClass())->startCrawling('https://www.vogue.com.cn');
}

//start();